import { Component, h } from '@stencil/core';
import { RemoteGetAccountSummary } from '../../data/usages/remote-get-account-summary';
import { FetchHttpClient } from '../../infra/http/fetch-http-client';
export class AccountSummaryFactory {
  render() {
    let httpClient = FetchHttpClient.getInstance();
    const getAccountSummary = new RemoteGetAccountSummary(`${process.env.REACT_APP_WALLET_COMPONENT_API_URL}/accounts/totals`, httpClient);
    return h("account-summary-component", { getAccountSummary: getAccountSummary });
  }
  static get is() { return "account-summary-component-factory"; }
}
